Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class UniProtCommentParser.SeqCaution

    java.lang.Object
      org.biojavax.bio.seq.io.UniProtCommentParser.SeqCaution

Enclosing class:
  UniProtCommentParser

    public static class UniProtCommentParser.SeqCaution

extends Object

A class to describe seq caution entries.

Constructor Summary
`UniProtCommentParser.SeqCaution()` Creates a new instance.

Method Summary
`String` | `getNote()`
`String` | `getPositions()`
`String` | `getSequence()`
`String` | `getType()`
`void` | `setNote(String note)`
`void` | `setPositions(String positions)`
`void` | `setSequence(String sequence)`
`void` | `setType(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniProtCommentParser.SeqCaution

    public UniProtCommentParser.SeqCaution()

  Creates a new instance.

Method Detail

### getNote

    public String getNote()

  Returns:
    the note

### setNote

    public void setNote(String note)

  Parameters:
    `note` - the note to set

### getPositions

    public String getPositions()

  Returns:
    the positions

### setPositions

    public void setPositions(String positions)

  Parameters:
    `positions` - the positions to set

### getSequence

    public String getSequence()

  Returns:
    the sequence

### setSequence

    public void setSequence(String sequence)

  Parameters:
    `sequence` - the sequence to set

### getType

    public String getType()

  Returns:
    the type

### setType

    public void setType(String type)

  Parameters:
    `type` - the type to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD